@font-face {
    font-family: 'unicodetiny';
    src: url(https://somatheworld.neocities.org/fonts/TinyUnicode.ttf)format('woff2'),
    url(fonts/TinyUnicode.ttf)format('truetype');
}
  
@font-face {
    font-family: 'sparklysparkles2';
    src: url(https://somatheworld.neocities.org/fonts/sparklysparkles2.ttf)format('truetype'),
    url(fonts/sparklysparkles2.ttf)format('truetype');
}

@font-face {
    font-family: 'rainyhearts';
    src: url(/fonts/rainyhearts-Medium.otf)format('truetype'),
    url(fonts/rainyhearts-Medium.otf)format('truetype');
}

body {
    image-rendering: pixelated;
    height: 100%;
    background-image: url('https://somatheworld.neocities.org/about/needle.png'),
    url('https://somatheworld.neocities.org/about/thread.png'),
    url('https://somatheworld.neocities.org/about/abtbg.jpg');
    background-repeat: no-repeat, no-repeat, repeat;
    background-position: top 80px left 60px, top 20px right 40px, top left;
    background-color: white;
    z-index: 0;
    cursor: url("https://somatheworld.neocities.org/lotusautocursor.png"), default;
    font-family: 'rainyhearts';
    -webkit-text-fill-color: #ba4357;
}

html {
    height: 100%;
}
  
a,button{
    cursor: url("https://somatheworld.neocities.org/lotuslinkcursor.png"), auto;
}

h1 {
    color: #c83357;
    letter-spacing: 1px;
    font-family: 'rainyhearts';
    z-index: 0;
    font-size: 20px;
    line-height: 20px;
    margin-bottom: 10px;
    margin-top: 0px;
}

h2 {
    color: #c83357;
    letter-spacing: 1px;
    font-family: 'rainyhearts';
    z-index: 0;
    font-size: 18px;
    line-height: 20px;
    margin-bottom: 3px;
    margin-top: 0px;
}

a {
    text-decoration: underline;
    text-decoration-thickness: 2px;
    font-size: 30px;
} 
a:link {
    color: #c83357;
    text-decoration: underline;
    text-decoration-thickness: 2px;
} 
a:visited {
    color: #c83357;
} 
a:hover {
    text-decoration: none;
}

#contain {
    padding-bottom: 20px;
}

#frostingtop {
    display: block;
    width: 828px;
    height: 167px;
    margin-bottom: -40px;
    margin-left: auto;
    margin-right: auto;
    position: relative;
    align-self: center;
    z-index: 1;
}

#cake {
    image-rendering: pixelated;
    z-index: 0;
    background-image: url('https://somatheworld.neocities.org/about/cakeabtbgnodots.png');
    width: 858px;
    max-height: fit-content;
    margin-left: auto;
    margin-right: auto;
    padding-left: 10px;
    padding-right: 10px;
    position: relative;
    align-self: center;
    border: 2px solid #c83357;
    display: block;
}

#frostingbottom {
    display: block;
    width: 828px;
    height: 66px;
    margin-top: -55px;
    margin-left: auto;
    margin-right: auto;
    position: relative;
    align-self: center;
    z-index: 1;
}

#hii {
    margin-bottom: 2px;
}

#columns {
    display: flex;
    flex-direction: row;
    margin-top: -59px;
}

#begin {
    display: flex;
    flex-direction: row; 
    margin: 9px;
}

#abtsite {
    margin-bottom: 0px;
}

#favstuff {
    display: grid;
    grid-template-columns: auto auto;
    column-gap: 15px;
    row-gap: 10px;
}

#favstuff h2 {
    border: 2px solid #c83357;
    padding-left: 4px;
    padding-bottom: 4px;
}

#deer {
    margin-right: 20px;
    width: 88px;
}

#idbuttons {
    margin-left: 30px;

}

#lefty {
    width: 256px;
    margin: 10px;
}

#hordiv {
    height: 22px;
    margin-top: 10px;
    margin-bottom: 10px;
}

#horborder {
    margin-left: 0px;
    margin-top: 2px;
}

#horborder1 {
    margin-left: -1px;
    margin-top: 2px;
}

#vertdiv {
    width: 58px;
    margin: 0px;
    margin-top: 8px;
}

#vertdiv img {
    margin-top: -19px;
    margin-left: 1px;
}

#righty {
    width: 544px;
    margin: 10px;
}

#yvespink {
    mix-blend-mode: multiply;
}

#abttitle {
    position: absolute;
    z-index: -1;
    width: 388px;
    margin-left: 250px;
    margin-top: 36px;
}

#back {
    position: absolute;
    z-index: 3;
    width: 388px;
    margin-left: 360px;
    margin-top: 166px;
}

.im_wrapper {
    position: relative;
    text-decoration: underline;
    text-decoration-thickness: 2px;
}

.hover_im {
    position: absolute;
    height: 80px;
    top: -82px;
    right: 0px;
    z-index: 10;
    display: none;
    border: 2px solid #c83357;
}

.im_wrapper:hover {
    text-decoration: none;
}

.im_wrapper:hover > .hover_im {
    display:block;
}
